/*  float.h
 *  ANSI C Runtime Library
 */

#ifndef _FLOAT_H
#define _FLOAT_H
#define FLT_RADIX       2
#define FLT_ROUNDS      0

#define FLT_MANT_DIG    23
#define FLT_EPSILON     1e-7
#define FLT_DIG         7
#define FLT_MIN_EXP     -126
#define FLT_MIN         1e-37
#define FLT_MIN_10_EXP  -37
#define FLT_MAX_EXP     126
#define FLT_MAX         1e+37
#define FLT_MAX_10_EXP  37

#define DBL_MANT_DIG    52
#define DBL_EPSILON     1e-16
#define DBL_DIG         15
#define DBL_MIN_EXP     -1023
#define DBL_MIN         1e-307
#define DBL_MIN_10_EXP  -307
#define DBL_MAX_EXP     1023
#define DBL_MAX         1e+307
#define DBL_MAX_10_EXP  307

/* the standard explicitly says that long double is IEEE 80bit extended type */
/* (if we use ieee, which we do) we don't conform to that yet */
#define LDBL_MANT_DIG   52
#define LDBL_EPSILON    1e-16
#define LDBL_DIG        15
#define LDBL_MIN_EXP    -1023
#define LDBL_MIN        1e-307
#define LDBL_MIN_10_EXP -307
#define LDBL_MAX_EXP    1023
#define LDBL_MAX        1e+307
#define LDBL_MAX_10_EXP 307
#endif  /* _FLOAT_H */
