/*  math.h
 *  ANSI C Runtime Library
 */

#ifndef _MATH_H
#define _MATH_H

#define HUGE_VAL    1.7976931348623167e+307     /* Max IEEE double, or nearly */
#define HUGE_VALF	
double acos (double x);
double asin (double x);
double atan (double x);
double atan2 (double y, double x);
double cos (double x);
double sin (double x);
double tan (double x);

double cosh (double x);
double sinh (double x);
double tanh (double x);

double exp (double x);
double frexp (double value, int *exp);
double ldexp (double x, int exp);
double log (double x);
double log10 (double x);
double modf (double value, double *iptr);

double pow (double x, double y);
double sqrt (double x);

double ceil (double x);
double fabs (double x);
double floor (double x);
double fmod (double x, double y);



double erf (double);
double erfc (double);
double j0 (double);
double j1 (double);
double jn (int,double);
double y0 (double);
double y1 (double);
double yn (int,double);
double gamma (double);
double hypot (double,double);


float rldexp	(float);
float racos	(float);
float rasin	(float);
float ratan	(float);
float ratan2	(float);
float rcos	(float);
float rexp	(float);
float rlog	(float);
float rlog10	(float, float);
float rsin	(float);
float rsqrt	(float);
float rtan	(float);


/*  #ifdef _FLOAT_EXTENSIONS  */
/*
double acosf (double x); 
double asinf (double x);
double atanf (double x);
double atan2f (double y, double x);
double cosf (double x);
double sinf (double x);
double tanf (double x);

double coshf (double x);
double sinhf (double x);
double tanhf (double x);

double expf (double x);
double frexpf (double value, int *exp);
double ldexpf (double x, int exp);
double logf (double x);
double log10f (double x);
double modff (double value, double *iptr);
double sqrtf (double x);
*/
/*  #endif  /*  /* _FLOAT_EXTENSIONS */  

#endif  /* _MATH_H */
