/*  time.h
 *  ANSI C Runtime Library
 */

#ifndef _STDDEF_H
#  include <stddef.h>
#endif  /* _STDDEF_H */

#ifndef _TIME_H
#define _TIME_H

#define CLK_TCK     60

#define _TZ_UNKNOWN (-1)

typedef long clock_t;       /* said to be an arithmetric type, so can't be too accurate */
/*typedef unsigned int time_t;/* said to be an arithmetric type, so can't be too accurate */
typedef long time_t;        /* PLUM HALL requires that this be signed. */ 
struct tm {
    int tm_sec;             /* seconds of the minute, [0,59] */
    int tm_min;             /* minutes of the hour, [0,59] */
    int tm_hour;            /* hour of the day, [0,23] */
    int tm_mday;            /* day of the month, [1,31] */
    int tm_mon;             /* months since Jan, [0,11] */
    int tm_year;            /* years since 1900 */
    int tm_wday;            /* days since Sun, [0,6] */
    int tm_yday;            /* days since Jan 1, [0,365] */
    int tm_isdst;           /* daylight savings time */
};

clock_t clock(void);
double difftime(time_t time1, time_t time0);
#define difftime(t1,t0) ((double) ((t1)-(t0)))
time_t mktime(struct tm *timeptr);
time_t time(time_t *timer);

char *asctime(const struct tm *timeptr);
char *ctime(const time_t *timer);
struct tm *gmtime(const time_t *timer);
struct tm *localtime(const time_t *timer);
size_t strftime(char *s, size_t maxsize, const char *format,
	const struct tm *timeptr);

void	date_ (char * s);
void	idate_ (int * month, int * day, int * year);
void	secnds_ (int * lasttime);
void	sec_100_ ();
void	timedate (int * year, int * month, int * day, \
		int * minute, int * second, int * hundredth);
#endif
